/**
 * Copyright (C), 2015-2020, XXX有限公司
 * FileName: BaiduTranslateInfoModel
 * Author:   cretin
 * Date:     1/16/20 21:04
 * Description:
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.cretin.webdb.self;

import java.util.List;

/**
 * 〈〉
 *
 * @author cretin
 * @create 1/16/20
 * @since 1.0.0
 */
public class BaiduTranslateInfoModel {

    /**
     * from : zh
     * to : en
     * trans_result : [{"src":"高度600米","dst":"Height 600 meters"}]
     */

    private String from;
    private String to;
    private List<TransResultBean> trans_result;

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getTo() {
        return to;
    }

    public void setTo(String to) {
        this.to = to;
    }

    public List<TransResultBean> getTrans_result() {
        return trans_result;
    }

    public void setTrans_result(List<TransResultBean> trans_result) {
        this.trans_result = trans_result;
    }

    public static class TransResultBean {
        /**
         * src : 高度600米
         * dst : Height 600 meters
         */

        private String src;
        private String dst;

        public String getSrc() {
            return src;
        }

        public void setSrc(String src) {
            this.src = src;
        }

        public String getDst() {
            return dst;
        }

        public void setDst(String dst) {
            this.dst = dst;
        }
    }
}